/**
 * 该文件为开发测试时配置信息，发布时不需要此文件
 * @author ilex.h
 */
!(function () {
  let Amos = {};
  Amos.config = {
    // 普通http
    httpURI: {
      baseURI: '/baseURI/', // 平台服务地址（baseURI名字不能变）
      bizURI: '/bizURI/'
    },
    // websocket 地址
    wsURI: {

    },
    // 外部链接地址
    outterURI: {

    },
    // 系统配置信息 主要是为了区分各子系统
    sysConf: {

    },
    // 请求头信息
    headers: {
      appKey: 'AMOS_STUDIO',
      product: 'AMOS_STUDIO_WEB',
      token: 'd5828ba0-9670-42f5-bf9b-4046f32a6385'
    }
  };

  // 配置日志系统
  let LogConfig = {
    isDebug: true // 调试模式时打印日志
  };

  window.Amos = Amos;
  window.LogConfig = LogConfig;
  // 采用本地模式启动插件
  window.useNative = true;
  window.demo = true;
  window.demo = true;


  window.systemInfo = {
    name: 'AMOS平台', // 系统名称
    masterLogo: '/src/assets/login/amos-icon.png', // 登录页logo
    subLogo: '/src/assets/main/logo.png' // 主页左上角logo
  };

  document.title = window.systemInfo.name;

  // 禁止修改 Amos  文件
  Object.defineProperty(window, 'Amos', { writable: false });
  // mf 模块，统一从 快搭平台使用
  window.__mf_prefix_url__ = 'http://172.16.10.80/mf_lib';

  // 是否采用hash路由
  window.useHashHistory = false;
})();
